#!/usr/bin/perl
#---------------------------------------------------------------------
# $Id: HTML.pm 493 2007-03-01 10:19:44Z mtr $
#---------------------------------------------------------------------
# Noark::Report::Text - Framework for generating reports.
#
# Author: Thomas Malt <tm@linpro.no>
#
# Copyright (C) 2003  Riksarkivaren.
# Copyright (C) 2003  Linpro AS
# Copyright (C) 2003  Thomas Malt <tm@linpro.no>
#
#---------------------------------------------------------------------


package Noark::Report::HTML;

use strict;
use warnings;

use base ('Noark::Report');


sub new {
    my $proto = shift;
    my %args  = @_;

    my $class = ref($proto) || $proto;
    my $self  = {};

    $self->{FORMAT} = $args{format};
    $self->{NAME}   = $args{name};
    $self->{DIR}    = $args{dir};
    $self->{DEBUG}  = $args{debug};
    $self->{VERB}   = $args{verbose};
    
    bless($self, $class);
    return $self;
}




1;

