#!/usr/bin/perl
#-----------------------------------------------------------------------
# $Id: 061.noark_progress.t 636 2011-06-10 13:01:34Z tm $
#-----------------------------------------------------------------------
# Tester progressbar klassen for arkn4

use strict;

use Test::More tests => 11;

BEGIN {
    use_ok('Noark::Progress');
}

my $p = Noark::Progress->new();

isa_ok($p, 'Noark::Progress');

is ($p->_human_size(123), "0K", "123 is 0K");
is ($p->_human_size(1234), "1K", "1234 is 1K");
is ($p->_human_size(123456), "123K", "123456 is 123K");
is ($p->_human_size(1234567), "1M", "1234567 is 1M");
is ($p->_human_size(123456789), "123M", "123456789 is 123M");
is ($p->_human_size(12345678900), "12G", "12345678900 is 12G");


is ($p->get_timestr(10), "00:10", "10s == 00:10");
is ($p->get_timestr(65), "01:05", "65s == 01:05");
is ($p->get_timestr(-1), "00:00", "-1s == 00:00");
