#---------------------------------------------------------------------
# $Id: Makefile.PL 557 2009-10-13 13:15:45Z tm $
#---------------------------------------------------------------------
# Makefile.PL - Makefile for the ArkN4 system
#---------------------------------------------------------------------

use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
	      NAME	   => 'Noark::ArkN4',
	      DISTNAME	   => 'noark-arkn4',
	      VERSION_FROM => 'src/arkn4', # finds \$VERSION
	      AUTHOR	   => 'Thomas Malt (thomas.malt@linpro.no)',
	      ABSTRACT	   => 'Validate and Analyze NOARK-4 deposits',
	      PREREQ_PM	   => {
			       'Algorithm::Diff'   => 0,
			       'Archive::Tar'	   => 0,
			       'Carp::Assert'	   => 0,
			       'DBI'		   => 0,
			       'Env::Path'	   => 0,
			       'FindBin'	   => 0,
			       'File::Find::Rule'  => 0,
			       'File::Spec'	   => 0,
			       'File::Spec::Win32' => 0,
			       'IO::Prompt'	   => 0,
			       'IO::Zlib'	   => 0,
			       'List::MoreUtils'   => 0,
			       'Readonly'	   => 0,
			       'Test::Differences' => 0,
			       'Test::More'	   => 0,
			       'Test::Simple'	   => 0,
			       'Text::Diff'	   => 0,
			       'Unicode::String'   => 0,
			       'XML::Checker'	   => 0,
			       'XML::Twig'         => 0,
			       'YAML::Syck'        => 0,
			      },
	      EXE_FILES => ['src/arkn4', 'src/arkn4_createdb'],
	     );
