-- -------------------------------------------------------------------
-- $Id: modul_14.3_el_arkiv_referanser_slett.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.3 - Modul for elektronisk arkiv
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.3.1 Dokumentlink (doklink) Referanser:

--   doklinktilkn  (14.3.9)

alter table doklink        DROP FOREIGN KEY (dl_type);





-- 14.3.2 Dokumentbeskrivelse (dokbeskriv) Referanser:

--   dokkategori  (14.3.10)

alter table dokbeskriv     DROP FOREIGN KEY (db_kategori);

--   dokstatus  (14.3.11)

alter table dokbeskriv     DROP FOREIGN KEY (db_status);

--   pernavn  (14.5.2)

alter table dokbeskriv     DROP FOREIGN KEY (db_utarbav);

--   tghjemmel  (14.5.9)

alter table dokbeskriv     DROP FOREIGN KEY (db_tgkode);

--   avgradkode  (14.2.14)

alter table dokbeskriv     DROP FOREIGN KEY (db_agkode);

--   tggruppe  (14.5.12)

alter table dokbeskriv     DROP FOREIGN KEY (db_tggruppe);





-- 14.3.3 Versjon (dokversjon)  Referanser:

--   variantformat  (14.3.12)

alter table dokversjon     DROP FOREIGN KEY (ve_variant);

--   lagrformat  (14.3.13)

alter table dokversjon     DROP FOREIGN KEY (ve_dokformat);

--   pernavn  (14.5.2)

alter table dokversjon     DROP FOREIGN KEY (ve_regav);

--   tgkode  (14.5.8)

alter table dokversjon     DROP FOREIGN KEY (ve_tgkode);





-- 14.3.4 Digital signatur (digisign)  Referanser:

--   person  (14.5.1)

alter table digisign       DROP FOREIGN KEY (di_sigverav);





-- 14.3.5 Emneord/stikkord dokument (eodokument)  Referanser:

--   emneord  (14.3.6)

alter table eodokument     DROP FOREIGN KEY (ed_ord);




--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.1  2005/02/25 12:21:01  tm
-- Lagde filer for  fjerne fremmednkler.
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.3  2003/06/30 14:31:36  tm
-- Diverse feilrett.
--
-- Revision 1.2  2003/06/30 11:48:33  tm
-- Nye versjoner av alt mulig fra Rune. Ikke gjennomgtt enn.
--
-- Revision 1.1  2003/06/??  tm
--
--

