-- -------------------------------------------------------------------
-- $Id: modul_14.5_tilgang_brukeradm_referanser_slett.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.5 - Modul for tilgangsstyring og brukeradministrasjon
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- NOTE: Bruk flgende tabulatorstoppere: 27, 60 
--       ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.5.3 Adresse til person (adrperson)  Referanser:

--   person  (14.5.1)

alter table adrperson      DROP FOREIGN KEY (pa_peid);

--   adressekp  (14.2.23)

alter table adrperson      DROP FOREIGN KEY (pa_adrid);




-- 14.5.4 Person - Rolle (perrolle)  Referanser:

--   person  (14.5.1)

alter table perrolle       DROP FOREIGN KEY (pr_peid);

--   rolle  (14.5.6)

alter table perrolle       DROP FOREIGN KEY (pr_rolleid);

--   admindel  (14.4.1)

alter table perrolle       DROP FOREIGN KEY (pr_admid);

--   journenhet  (14.4.12)

alter table perrolle       DROP FOREIGN KEY (pr_jenhet);

--   arkivdel  (14.4.7)

alter table perrolle       DROP FOREIGN KEY (pr_arkdel);





-- 14.5.5 Funger i rolle (fungrolle)  Referanser:

--   perrolle  (14.5.4)

alter table fungrolle      DROP FOREIGN KEY (fr_prid);


alter table fungrolle      DROP FOREIGN KEY (fr_fungprid);





-- 14.5.7 Tilgang til informasjon (tginfo)

--   person  (14.5.1)

alter table tginfo         DROP FOREIGN KEY (tj_peid);

--   journenhet  (14.4.12)

alter table tginfo         DROP FOREIGN KEY (tj_jenhet);

--   admindel  (14.4.1)

alter table tginfo         DROP FOREIGN KEY (tj_admid);






-- 14.5.9 Hjemmel for tilgangskode (tghjemmel)

--   tgkode  (14.5.8)

alter table tghjemmel      DROP FOREIGN KEY (th_tgkode);

--   avgradkode  (14.2.14)

alter table tghjemmel      DROP FOREIGN KEY (th_agkode);






-- 14.5.10 Klarering for tilgangskode (perklarer)

--   person  (14.5.1)

alter table perklarer      DROP FOREIGN KEY (kt_peid);


alter table perklarer      DROP FOREIGN KEY (kt_klav);


alter table perklarer      DROP FOREIGN KEY (kt_klopphav);

--   tgkode  (14.5.8)

alter table perklarer      DROP FOREIGN KEY (kt_tgkode);






-- 14.5.11 Autorisasjon innen administrativ enhet (pertgkode)

--   person  (14.5.1)

alter table pertgkode      DROP FOREIGN KEY (pt_peid);


alter table pertgkode      DROP FOREIGN KEY (pt_autav);


alter table pertgkode      DROP FOREIGN KEY (pt_autoppav);

--   tgkode  (14.5.8)

alter table pertgkode      DROP FOREIGN KEY (pt_tgkode);

--   admindel  (14.4.1)

alter table pertgkode      DROP FOREIGN KEY (pt_admid);






-- 14.5.12 Tilgangsgruppe (tggruppe)  Referanser:

--   person  (14.5.1)

alter table tggruppe       DROP FOREIGN KEY (tg_opprav);






-- 14.5.13 Medlemskap i tilgangsgruppe (tgmedlem)  Referanser:

--   person  (14.5.1)

alter table tgmedlem       DROP FOREIGN KEY (pg_peid);


alter table tgmedlem       DROP FOREIGN KEY (pg_innmav);


alter table tgmedlem       DROP FOREIGN KEY (pg_utmav);

--   tggruppe  (14.5.12)

alter table tgmedlem       DROP FOREIGN KEY (pg_gruppeid);

--   perrolle  (14.5.4)

alter table tgmedlem       DROP FOREIGN KEY (pg_perrolid);




--
-- $Log$
-- Revision 1.1  2005/09/29 13:55:13  tm
-- Added all files to repository
--
-- Revision 1.1  2005/02/25 12:21:01  tm
-- Lagde filer for  fjerne fremmednkler.
--
-- Revision 1.1  2004/08/12 14:45:26  elark
-- Fixing where its broke.
--
-- Revision 1.2  2003/06/30 15:43:45  tm
-- Fikset endel skrivefeil.
--
-- Revision 1.1  2003/06/30 11:49:46  tm
-- Nye versjoner av komplett NOARK database fra Rune ikke gjennomgtt enn.
--
-- Revision 1.3  2003/06/26 11:54:28  tm
-- Gjennomgang av de siste tabellene med svar p sprsml. Syntax ikke grundig
-- sjekket.
--
-- Revision 1.2  2003/06/19 14:12:25  tm
-- Manglet en fil.
-- 
--
