-- -------------------------------------------------------------------
-- $Id: modul_14.7_standardverdier_tabeller.sql 5 2005-09-29 13:55:16Z tm $
-- -------------------------------------------------------------------
-- 14.6 - Standardverdier og annen konfigureringsinformasjon
-- 
-- Author: Rune Runnest
--         Thomas Malt
--
-- Notes:
--   Bruk flgende tabulatorstoppere: 4, 20, 35, 47, 62, 78 
--   ( ALT-x edit-tab-stops)
-- -------------------------------------------------------------------


-- 14.7 Standardverdier og annen konfigureringsinformasjon (stdverdi)
drop table if exists stdverdi;

create table stdverdi(
    sv_admid        int(10)        not null    primary key, -- /O1/
    sv_sktadm       varchar(2)     null,                    -- /A/
    sv_tilgbeg      varchar(2)     null,    		    -- /A/
    sv_ssarkiv      varchar(2)     null,		    -- /O1/
    sv_sssaksbh     varchar(2)     null,		    -- /O1/
    sv_tgsak        varchar(2)     null,		    -- /O1/
    sv_tgjp1        varchar(2)     null,		    -- /O1/
    sv_tgjp2        varchar(2)     null,		    -- /O1/
    sv_bfrist1      int(3)         null,		    -- /O1/
    sv_bfrist2      int(3)         null,		    -- /O1/
    sv_bffrist1     int(3)         null,		    -- /O1/
    sv_bffrist2     int(3)         null,		    -- /O1/
    sv_arkfavsl     bool           null,		    -- /O2/
    sv_ekstdoktg    bool           null,		    -- /A/
    sv_bever        int(3)         null                     -- /O2/
)Engine=InnoDB;



