#!/usr/bin/perl
#---------------------------------------------------------------------
# $Id: 001_load.t 766 2011-06-22 10:56:42Z tm $
#---------------------------------------------------------------------
# t/001_load.t - check module loading and create testing directory

use Test::More tests => 5;

BEGIN { 
    use_ok('Noark::Config');
    use_ok('Noark::Analyzer');
    use_ok('Noark::Report');
}

my $report = Noark::Report->new();
isa_ok($report, 'Noark::Report'); 

my $analyzer = Noark::Analyzer->new(
    dir       => './uttrekk/test',
    xmldir    => 'DATA',
    docdir    => 'DOKUMENT',
    reportdir => 'RAPPORT'
);

isa_ok($analyzer, 'Noark::Analyzer'); 

